List domains
List the sending domains the API key can use.
GET
https://app.usenotix.dev/api/v1/domainsFull access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.
List the sending domains the API key can use.
Headers
Authorizationstringrequired
Bearer followed by your API key.
curl -X GET "https://app.usenotix.dev/api/v1/domains" \
-H "Authorization: Bearer $NOTIX_API_KEY"
import { Notix } from "notix-js";
const notix = new Notix(process.env.NOTIX_API_KEY);
const { data, error } = await notix.domains.list();
from notix import Notix
notix = Notix() # reads NOTIX_API_KEY
domains, _ = notix.domains.list()
use Notix\Notix;
$notix = new Notix(getenv('NOTIX_API_KEY'));
$domains = $notix->domains->list();
Response200
[
{
"id": 1,
"name": "example.com",
"teamId": 1,
"status": "NOT_STARTED",
"publicKey": "string",
"createdAt": "string",
"updatedAt": "string",
"dnsRecords": [
{
"type": null,
"name": null,
"value": null,
"ttl": null,
"status": null
}
]
}
]